<div>
  <div class="search-form">
    <input type="text" [(ngModel)]="searchName" placeholder="Enter a movie name here...">
    <button (click)="searchShows(searchName)">Search</button>
  </div>

  <div class="content">
    <div class="container" *ngFor="let show of searchedShows" (click)="showDetails(show.show.id)">
      <div>{{show.show.name}}</div>
    </div>
  </div>

  <div *ngIf="areShowDetailsShowed" class="modal-window">
    <p>Name: {{selectedShow.show.name}}</p>
    <p>Type: {{selectedShow.show.type}}</p>
    <p>Language: {{selectedShow.show.language}}</p>
    <p>Status: {{selectedShow.show.status}}</p>
  </div>
</div>
